Bug 427331 - random pixmap garbage in gnome-terminal
random pixmap garbage in gnome-terminal
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-03 01:39 EST by John Levon
Modified: 2009-01-09 02:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:34:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
example of garbage (350.64 KB, image/png)
2008-01-03 01:39 EST, John Levon
no flags Details
Xorg log (54.17 KB, text/plain)
2008-01-03 01:40 EST, John Levon
no flags Details
xorg.conf as-was (568 bytes, text/plain)
2008-01-03 18:19 EST, John Levon
no flags Details
newer, apparently working, xorg.conf (978 bytes, application/octet-stream)
2008-01-03 18:19 EST, John Levon
no flags Details

  None (edit)
Description John Levon 2008-01-03 01:39:20 EST
Description of problem:

Whilst using mutt over ssh within gnome-terminal, I see (very often)
that 'blank' parts of gnome-terminal have some random pixmap crap
instead of the correct blank colour. See the attached .png

This makes gnome-terminal pretty much unusable. Alt-tabbing away and
back clears it up.

It's not entirely clear it's not the X server, but I've only seen
this in gnome-terminal so far.

Version-Release number of selected component (if applicable):


How reproducible:

Comment 1 John Levon 2008-01-03 01:39:20 EST
Created attachment 290703 [details]
example of garbage
Comment 2 John Levon 2008-01-03 01:40:05 EST
Created attachment 290704 [details]
Xorg log
Comment 3 Behdad Esfahbod 2008-01-03 13:48:55 EST
I'm pretty sure that this is a bug with the radeon driver.
Comment 4 John Levon 2008-01-03 17:11:00 EST
Anything I can try? Unfortunately I can't try fglrx to prove that, since
I have a Radeon 9200SE.
Comment 5 John Levon 2008-01-03 18:18:18 EST
Hmm. I installed fglrx, then switched back, and ran the display config
stuff to choose as close to my real monitor (HP LP1965) as possible. Now
it doesn't appear to be happening. Diffs below, and I'm attaching the old
and new xorg.conf files.
Comment 6 John Levon 2008-01-03 18:18:30 EST
--- xorg.conf.shipped   2008-01-03 21:35:57.000000000 +0000
+++ xorg.conf   2008-01-03 22:00:43.000000000 +0000
@@ -1,11 +1,19 @@
-# Xorg configuration created by pyxf86config
+# Xorg configuration created by system-config-display

 Section "ServerLayout"
-       Identifier     "Default Layout"
+       Identifier     "single head configuration"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"

+Section "Files"
+       ModulePath   "/usr/lib64/xorg/modules"
+Section "ServerFlags"
+       Option      "AIGLX" "on"
 Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
@@ -13,6 +21,14 @@
        Option      "XkbLayout" "gb"

+Section "Monitor"
+       Identifier   "Monitor0"
+       ModelName    "HP L1955 LCD Flat Panel Monitor"
+       HorizSync    30.0 - 82.0
+       VertRefresh  56.0 - 75.0
+       Option      "dpms"
 Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
@@ -21,6 +37,7 @@
 Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
+       Monitor    "Monitor0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
@@ -28,3 +45,7 @@

+Section "Extensions"
+       Option      "Composite" "Enable"
Comment 7 John Levon 2008-01-03 18:19:29 EST
Created attachment 290804 [details]
xorg.conf as-was
Comment 8 John Levon 2008-01-03 18:19:55 EST
Created attachment 290805 [details]
newer, apparently working, xorg.conf
Comment 9 John Levon 2008-01-03 23:22:32 EST
Sigh. Turns out that was incorrect. After working all day, I've just
seen the problem again.
Comment 10 John Levon 2008-01-07 14:43:22 EST
Same bug here:

Comment 11 Matěj Cepl 2008-01-25 06:48:24 EST
(In reply to comment #5)
> Hmm. I installed fglrx, then switched back, and ran the display config
> stuff to choose as close to my real monitor (HP LP1965) as possible. Now
> it doesn't appear to be happening. Diffs below, and I'm attaching the old
> and new xorg.conf files.

Covering your sins (i.e., using fglrx) is not so simple as just running
system-config-display. Have you used packages from that Repository Which Shall
Not Be Named, or did you install tarball from ATI directly? If the latter, see
http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers for more detailed
instructions on how to get rid of the binary crap (fglrx left on your disk
couple of unwanted presents).
Comment 12 John Levon 2008-01-25 08:26:34 EST
I used livna.
Comment 13 Matěj Cepl 2008-01-31 11:59:25 EST
Hmm, then I don't know. Passing to developers.
Comment 14 Leszek Matok 2008-02-26 13:26:13 EST
John, have you tried Rawhide? :) On my ATI card, gnome-terminal looks like on
attachment #295967 [details] (I hope it makes it a link). Fortunately, turning desktop
effects on and off again cures this (until the next reboot). No fglrx needed.
Comment 15 Bug Zapper 2008-11-26 04:16:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 16 Bug Zapper 2009-01-09 02:34:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.